/* 
 * x_stdio.h
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Revision: 1.3 $
 * $Date: 1996/02/01 15:22:05 $
 * 
 * HISTORY 
 * $Log: x_stdio.h,v $
 * Revision 1.3  1996/02/01 15:22:05  slm
 * Updated copyright and version.
 *
 * Revision 1.2  1995/08/28  16:15:32  acb
 * Initial revision for x3.3
 *
 * Revision 1.1  1994/10/26  20:45:44  hkaram
 * Initial revision
 */

#ifndef x_stdio_h
#define x_stdio_h

#ifndef XKMACHKERNEL

#include <stdio.h>

#ifdef __STDC__

void	setbuf( FILE *, char * );
int	_flsbuf( unsigned char, FILE *);
int	_filbuf( FILE * );


#else 

int	fclose();
int	fflush();
int	fprintf();
int	fscanf();
int	printf();
int	sscanf();
void	setbuf();

#endif

#endif ! XKMACHKERNEL

#endif ! x_stdio_h
